# $Revision: 1.19 $, $Date: 2006/12/20 12:29:23 $
%define		ocaml_ver	1:3.09.2
Summary:	PostgreSQL binding for OCaml
Summary(pl):	Wizania PostgreSQL dla OCamla
Name:		ocaml-postgres
Version:	20040120
Release:	6
License:	LGPL v2
Group:		Libraries
URL:		http://www.eleves.ens.fr/home/frisch/soft
# note: no / at the end of URL
Source0:	http://www.eleves.ens.fr/home/frisch/info/postgres-%{version}.tar.gz
# Source0-md5:	08a8fb35c2101d7262dc25375018df34
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows OCaml programs to access PostgreSQL databases.
This package contains files needed to run bytecode OCaml programs
using this library.

%description -l pl
Biblioteka ta umoliwia programom pisanym w OCamlu dostp do baz
danych PostgreSQL. Pakiet ten zawiera binaria potrzebne do
uruchamiania programw uywajcych tej biblioteki.

%package devel
Summary:	PostgreSQL binding for OCaml - development part
Summary(pl):	Wizania PostgreSQL dla OCamla - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This library allows OCaml programs to access PostgreSQL databases.
This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
Biblioteka ta umoliwia programom pisanym w OCamlu dostp do baz
danych PostgreSQL. Pakiet ten zawiera pliki niezbdne do tworzenia
programw uywajcych tej biblioteki.

%prep
%setup -q -n postgres-%{version}

%build
%{__make} POSTGRES_INCLUDE='-I %{_includedir}/postgresql/server'

%{__cc} %{rpmcflags} -fpic \
	-I%{_includedir}/postgresql/server \
	-c libpq_stub.c

ocamlmklib -o postgres postgres.cm[xo] libpq_stub.o -lpq

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{postgres,stublibs}

install *.cm[ixa]* *.a $RPM_BUILD_ROOT%{_libdir}/ocaml/postgres
install dll*.so $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r tests/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# META for findlib
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/postgres
echo 'directory = "+postgres"' >> META
install META $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/postgres

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dll*.so

%files devel
%defattr(644,root,root,755)
%doc README *.mli
%dir %{_libdir}/ocaml/postgres
%{_libdir}/ocaml/postgres/*.cm[ixa]*
%{_libdir}/ocaml/postgres/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/postgres

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-postgres.spec,v $
Revision 1.19  2006/12/20 12:29:23  hawk
- release 6 to rebuild with PostgreSQL 8.2

Revision 1.18  2006/05/31 12:54:44  glen
- rel 5 (rebuild with ocaml-3.09.2)

Revision 1.17  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.16  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.15  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.14  2005/12/10 18:47:07  baggins
- release 2 for ocaml 3.09.0

Revision 1.13  2005/10/11 20:18:16  paszczus
- updated to 20040120
- LGPL v2

Revision 1.12  2005/05/21 17:27:10  ankry
- rel. 3

Revision 1.11  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.10  2003/09/03 22:27:25  malekith
- added URL

Revision 1.9  2003/09/03 22:01:40  malekith
- up to 20020409 (ocaml 3.07)

Revision 1.8  2003/06/17 14:18:58  ankry
- fix URL and md5
NOTE: 20020409 available

Revision 1.7  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.4  2002/05/13 11:04:50  malekith
- fixed previous commit message

Revision 1.3  2002/05/13 10:54:07  malekith
- fixed URL
- moved %%{_libdir}/ocaml/postgres to main package (from -devel)
- -devel now owns entiere site-lib/postgres, not only META in it

Revision 1.2  2002/05/10 11:50:38  malekith
- added br: psql-devel

Revision 1.1  2002/05/10 11:44:46  malekith
- inital; from scratch

